<script type="text/javascript">
    function regexTitle()
    {
        var name = $("#news_title").val();
        if(name.length ==0)
        {
            $("#title_notice_span").text("标题不能为空");
            $("#title_notice_span").css('color','#ff0000');
            $("#title_notice_span").focus();
            return false;
        }
        else if(name.length <= 60)
        {
            $("#title_notice_span").text("填写正确");
            $("#title_notice_span").css('color','#008000');
            return true;
        }
        else
        {
            $("#title_notice_span").text("标题超过60个字符");
            $("#title_notice_span").css('color','#ff0000');
            $("#title_notice_span").focus();
            return false;
        }
    }

    function regexDescription()
    {
        var name = $("#news_description").val();
        if(name.length ==0)
        {
            $("#description_notice_span").text("描述不能为空");
            $("#description_notice_span").css('color','#ff0000');
            $("#description_notice_span").focus();
            return false;
        }
        else
        {
            $("#description_notice_span").text("填写正确");
            $("#description_notice_span").css('color','#008000');
            return true;
        }
    }

    function submitNews()
    {
        if(regexTitle() && regexDescription())
        {
            $("#news-form").submit();
        }
    }

    function submitFocus(obj)
    {
        $(obj).focus();
    }

</script>

<%
   if @project.project_type == Project::ProjectType_course
     btn_tips = l(:label_news_notice)
     label_tips = l(:label_course_news)
   else
     btn_tips = l(:label_news_new)
     label_tips = l(:label_news)
   end
%>

<span style="font-size: 16px; border-bottom:1px solid #f0f0f0; margin-right: 15px;">
	<%= label_tips %>
</span>
<% if @project.enabled_modules.where("name = 'news'").count > 0 %>
<%= link_to(btn_tips,
            new_project_news_path(@project),
            :class => 'icon icon-add',
            :onclick => 'showAndScrollTo("add-news", "news_title"); return false;') %>
<% end %>
<% if @project && User.current.allowed_to?(:manage_news, @project) %>
    <div id="add-news" class="add_frame" style="display:none;">
      <%= labelled_form_for @news, :url => project_news_index_path(@project),
                            :html => {:id => 'news-form', :multipart => true} do |f| %>
          <%= render :partial => 'news/form', :locals => {:f => f} %>
          <%#= submit_tag l(:button_create), :class => 'whiteButton m3p10 h30', :name => nil %><!-- button-submit  -->
          <%= link_to l(:button_create), "#", :onclick => 'submitNews();',:onmouseover => 'submitFocus(this);', :class => 'whiteButton m3p10' %>
          |
          <%#= preview_link preview_news_path(:project_id => @project), 'news-form', target='preview', {:class => 'whiteButton m3p10'} %>

          <%= link_to l(:button_cancel), "#", :onclick => '$("#add-news").hide()', :class => 'whiteButton m3p10' %>
      <% end if @project %>
      <div id="preview" class="wiki"></div>
    </div>
<% end %>
<div>
  <% if @newss.empty? %>
      <p class="nodata">
        <%= l(:label_no_data) %>
      </p>
  <% else %>
      <% @newss.each do |news| %>

          <table class="content-text-list">
            <tr>
              <td colspan="2" valign="top" width="50">
                <%= link_to image_tag(url_to_avatar(news.author), :class => "avatar"), user_path(news.author) %>
              </td>
              <td>
                <table width="580px" border="0">
                  <% if @project.project_type == 1 %>
                      <tr>
                        <td colspan="2" valign="top">
                          <strong><%= link_to_user(news.author) if news.respond_to?(:author) %></strong>
                          <span style="margin-left: 4px;" class="font_lighter"><%= l(:label_project_notice) %></span>
                          <span><%= link_to h(news.title), news_path(news) %></span>
                          <span style="float: right"><%= delete_link news_path(news) if User.current.allowed_to?(:manage_news, @project) %> </span>
                        </td>
                      </tr>
                  <% else %>
                      <tr>
                        <td colspan="2" valign="top">
                          <strong><%= link_to_user(news.author) if news.respond_to?(:author) %></strong>
                          <span style="margin-left: 4px;" class="font_lighter"><%= l(:label_project_newshare) %></span>
                          <span> <%= link_to h(news.title), news_path(news) %></span>
                          <span style="float: right" class='delete_icon'>
                            <%= delete_link news_path(news) if User.current.allowed_to?(:manage_news, @project) %>
                          </span>
                        </td>
                      </tr>
                  <% end %>
                  <tr>
                    <td colspan="2" width="580px">
                      <span class="font_description"><%= textilizable(news, :description) %></span></td>
                  </tr>
                  <tr>
                    <td align="left"><span class="font_lighter"> <%= l :label_update_time %>
                      ：&nbsp;<%= format_time(news.created_on) %></span></td>
                    <td width="350" align="right" class="a"><%= link_to l(:label_project_newother), news_path(news) %><%= "(#{l(:label_x_comments, :count => news.comments_count)})" if news.comments_count >= 0 %></td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
      <% end %>
  <% end %>
</div>
<!--end-->
<div style="padding-right: 10px">
  <div class="pagination">
    <ul>
      <%= pagination_links_full @news_pages %>
    </ul>
  </div>

  <% other_formats_links do |f| %>
      <%= f.link_to 'Atom', :url => {:project_id => @project, :key => User.current.rss_key} %>
  <% end %>

  <% content_for :header_tags do %>
      <%= auto_discovery_link_tag(:atom, params.merge({:format => 'atom', :page => nil, :key => User.current.rss_key})) %>
      <%= stylesheet_link_tag 'scm' %>
  <% end %>

  <% html_title(l(:label_news_plural)) -%>
</div>

<script type='text/javascript'>
    $(document).ready(function ($) {
        $('.content-text-list').each(function () {
            $(this).find('.delete_icon').hide();
            $(this).mouseenter(function (event) {
                $(this).find('.delete_icon').show();
            });
            $(this).mouseleave(function (event) {
                $(this).find('.delete_icon').hide();
            });
        });
    });
</script>
